#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 cabal-install-parsers
version:              0.3.0.1
visibility:           public
id:                   cabal-install-parsers-0.3.0.1-5BXZz27qSmp7VspZwTvOJ4
key:                  cabal-install-parsers-0.3.0.1-5BXZz27qSmp7VspZwTvOJ4
license:              GPL-2.0-or-later AND BSD-3-Clause
maintainer:           hvr@gnu.org, oleg.grenrus@iki.fi
author:               Herbert Valerio Riedel, Oleg Grenrus
homepage:             https://haskell-ci.rtfd.org/
synopsis:             Utilities to work with cabal-install files
description:
    @cabal-install-parsers@ provides parsers for @cabal-install@ files:
    @cabal.project@ ("Cabal.Project"),
    @cabal.config@ ("Cabal.Config"),
    @01-index.tar@ ("Cabal.Index");
    as well as some other utilities.

    The feature set is mainly motivated by the needs of @haskell-ci@ package.
    The parsed data is not complete, functionality is added on demand.

category:             Development
abi:                  42d88ba40c3dc49c5792a90d2fb20019
exposed:              True
exposed-modules:
    Cabal.Config Cabal.Index Cabal.Optimization Cabal.Package
    Cabal.Parse Cabal.Project Cabal.SourceRepo

hidden-modules:       Cabal.Internal.Glob Cabal.Internal.Newtypes
import-dirs:
    /usr/lib/ghc-8.10.2/site-local/cabal-install-parsers-0.3.0.1

library-dirs:
    /usr/lib/ghc-8.10.2/site-local/cabal-install-parsers-0.3.0.1

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.2/cabal-install-parsers-0.3.0.1

hs-libraries:         HScabal-install-parsers-0.3.0.1-5BXZz27qSmp7VspZwTvOJ4
depends:
    Cabal-3.2.0.0 aeson-1.5.4.1-GV5FdxcUzlgLc5Y3bX6BKz base-4.14.1.0
    base16-bytestring-0.1.1.7-7MnoTKrQfBC3WeMx0LqUK0 binary-0.8.8.0
    binary-instances-1.0.0.1-AnH95eq9rpHIYKSwScPAl7
    bytestring-0.10.10.0 containers-0.6.2.1
    cryptohash-sha256-0.11.101.0-GE8dtInPDiELOUL5ydBtEz deepseq-1.4.4.0
    directory-1.3.6.0 filepath-1.4.2.1
    lukko-0.1.1.2-DaJ1AOqPo1u4HmuI8e4yAK
    network-uri-2.6.3.0-KQnvTeQIKFtAlwJFPdWwaU parsec-3.1.14.0
    pretty-1.1.3.6 tar-0.5.1.1-J5vSv2xcjt8FQiWP65ZTVJ text-1.2.3.2
    time-1.9.3 transformers-0.5.6.2

haddock-interfaces:
    /usr/share/doc/haskell-cabal-install-parsers/html/cabal-install-parsers.haddock

haddock-html:         /usr/share/doc/haskell-cabal-install-parsers/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

